Subject: Re: [PATCH 1/3] RelNotes 2.20: move some items between sections

From: Martin Ågren <[email-masked]>
Date: Tue, 4 Dec 2018 06:43:16 +0100

On Tue, 4 Dec 2018 at 03:23, Junio C Hamano <[email-masked]> wrote:
>
> Martin Ågren <[email-masked]> writes:
>
> > Some items that should be in "Performance, Internal Implementation,
> > Development Support etc." have ended up in "UI, Workflows & Features"
> > and "Fixes since v2.19". Move them, and do s/uses/use/ while at it.
>
> I agree with the early half of this change; I think it is OK to
> consider lack of preparation for Travis transition and lack of
> better testing in the maintenance track as bugs, though.

Sure. Here's a resend where patch 1/3 has been simplified accordingly.

Martin Ågren (3):
  RelNotes 2.20: move some items between sections
  RelNotes 2.20: clarify sentence
  RelNotes 2.20: drop spurious double quote

 Documentation/RelNotes/2.20.0.txt | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

Range-diff against v1:
1:  d69f63b5f6 ! 1:  961bfc2ad6 RelNotes 2.20: move some items between sections
    @@ -3,8 +3,8 @@
         RelNotes 2.20: move some items between sections
     
         Some items that should be in "Performance, Internal Implementation,
    -    Development Support etc." have ended up in "UI, Workflows & Features"
    -    and "Fixes since v2.19". Move them, and do s/uses/use/ while at it.
    +    Development Support etc." have ended up in "UI, Workflows & Features".
    +    Move them, and do s/uses/use/ while at it.
     
         Signed-off-by: Martin Ågren <[email-masked]>
     
    @@ -35,33 +35,3 @@
       * When there are too many packfiles in a repository (which is not
         recommended), looking up an object in these would require
         consulting many pack .idx files; a new mechanism to have a single
    -@@
    -    two classes to ease code migration process has been proposed and
    -    its support has been added to the Makefile.
    - 
    -+ * The "container" mode of TravisCI is going away.  Our .travis.yml
    -+   file is getting prepared for the transition.
    -+   (merge 32ee384be8 ss/travis-ci-force-vm-mode later to maint).
    -+
    -+ * Our test scripts can now take the '-V' option as a synonym for the
    -+   '--verbose-log' option.
    -+   (merge a5f52c6dab sg/test-verbose-log later to maint).
    -+
    - 
    - Fixes since v2.19
    - -----------------
    -@@
    -    didn't make much sense.  This has been corrected.
    -    (merge 669b1d2aae md/exclude-promisor-objects-fix later to maint).
    - 
    -- * The "container" mode of TravisCI is going away.  Our .travis.yml
    --   file is getting prepared for the transition.
    --   (merge 32ee384be8 ss/travis-ci-force-vm-mode later to maint).
    --
    -- * Our test scripts can now take the '-V' option as a synonym for the
    --   '--verbose-log' option.
    --   (merge a5f52c6dab sg/test-verbose-log later to maint).
    --
    -  * A regression in Git 2.12 era made "git fsck" fall into an infinite
    -    loop while processing truncated loose objects.
    -    (merge 18ad13e5b2 jk/detect-truncated-zlib-input later to maint).
2:  eccb7edd08 = 2:  3027a34938 RelNotes 2.20: clarify sentence
3:  78f3043b65 = 3:  a5e2df91b4 RelNotes 2.20: drop spurious double quote
-- 
2.20.0.rc2.1.gc81af441bb